Blue Guardrails

Create Hallucination Config

Create a new hallucination detection configuration for your workspace.

POST
/v1/hallucination-configs

Header Parameters

x-workspace-id?|

Workspace UUID to operate within. Required for session auth and user-scoped API keys. Optional for workspace-scoped API keys (uses key's workspace if omitted).

Request Body

application/json

labels*array<>

List of hallucination label definitions (at least 1 required)

Items1 <= items
domain_context?|

Domain-specific context injected before labels

Response Body

application/json

application/json

curl -X POST "https://loading/v1/hallucination-configs" \  -H "Content-Type: application/json" \  -d '{    "labels": [      {        "name": "string",        "description": "string"      }    ]  }'
{
  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
  "workspace_id": "0967198e-ec7b-4c6b-b4d3-f71244cadbe9",
  "labels": [
    {
      "name": "string",
      "description": "string"
    }
  ],
  "domain_context": "string",
  "created_by": "ee824cad-d7a6-4f48-87dc-e8461a9201c4",
  "created_at": "2019-08-24T14:15:22Z",
  "updated_at": "2019-08-24T14:15:22Z"
}
{
  "detail": [
    {
      "loc": [
        "string"
      ],
      "msg": "string",
      "type": "string"
    }
  ]
}